libstdc++: Uniform Distributions

libstdc++

Uniform Distributions
Numerics » Random Number Generation » Random Number Distributions
Collaboration diagram for Uniform Distributions:

## Concepts
concept | std::uniform_random_bit_generator

## Classes
class | std::uniform_int_distribution< _IntType >
class | std::uniform_real_distribution< _RealType >

## Functions
template<typename _IntType, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::uniform_int_distribution< _IntType > &)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &, const std::uniform_real_distribution< _RealType > &)
template<typename _IntType, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &, std::uniform_int_distribution< _IntType > &)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &, std::uniform_real_distribution< _RealType > &)

## Detailed Description

## Function Documentation

## ◆ operator<<() [1/2]

template<typename _IntType, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::uniform_int_distribution< _IntType > & | __x )

Inserts a uniform_int_distribution random number distribution `__x` into the output stream `os`.

Parameters

  __os | An output stream.
  __x | A uniform_int_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1016 of file bits/random.tcc.

## ◆ operator<<() [2/2]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::uniform_real_distribution< _RealType > & | __x )

Inserts a uniform_real_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A uniform_real_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1082 of file bits/random.tcc.

## ◆ operator>>() [1/2]

template<typename _IntType, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::uniform_int_distribution< _IntType > & | __x )

Extracts a uniform_int_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A uniform_int_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 1059 of file bits/random.tcc.

References std::ios_base::flags(), and std::uniform_int_distribution< _IntType >::param().

## ◆ operator>>() [2/2]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::uniform_real_distribution< _RealType > & | __x )

Extracts a uniform_real_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A uniform_real_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 1120 of file bits/random.tcc.

References std::ios_base::flags(), and std::uniform_real_distribution< _RealType >::param().